Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis.server
Class TransactionResponseHandler

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.jboss.net.axis.server.TransactionResponseHandler

All Implemented Interfaces:
  org.apache.axis.Handler, Serializable

Direct Known Subclasses:
  TransactionRequestHandler

public class TransactionResponseHandler
extends org.apache.axis.handlers.BasicHandler

This handler is to finish a previously opened client-side transaction.

### Change notes

Version:
  $Revision: 1.5 $
Author:
  Christoph G. Jung
See Also:
  Serialized Form

Field Summary
`protected UserTransaction` | `userTransaction`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`TransactionResponseHandler()`

Method Summary
`protected void` | `endTransaction(org.apache.axis.MessageContext msgContext, boolean commit)`
`void` | `invoke(org.apache.axis.MessageContext msgContext)`
`void` | `onFault(org.apache.axis.MessageContext msgContext)`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userTransaction

    protected final UserTransaction userTransaction

Constructor Detail

### TransactionResponseHandler

    public TransactionResponseHandler()
                               throws NamingException

Method Detail

### endTransaction

    protected void endTransaction(org.apache.axis.MessageContext msgContext,
                                  boolean commit)
                           throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### invoke

    public void invoke(org.apache.axis.MessageContext msgContext)
                throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### onFault

    public void onFault(org.apache.axis.MessageContext msgContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.